{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
    name = "plotter-env";
    buildInputs = with pkgs; [
        python310
        python310Packages.venvShellHook
        autoPatchelfHook
    ];
    propagatedBuildInputs = with pkgs; [
        stdenv.cc.cc.lib
        cairo
    ];

    venvDir = "./venv";
    postVenvCreation = ''
        pip install -U pip setuptools wheel
        pip install -r requirements.txt
        autoPatchelf ./venv
    '';
}
